Convenience class to wrap a linkable ring signature.

### Hierarchy

- RingSig

## Index

### Constructors

- constructor

### Properties

- C0
- S
- tag

### Methods

- encode

## Constructors

### constructor

- new RingSig(C0: Scalar, S: Scalar[], tag?: Point): RingSig

- - Defined in src/personhood/ring-sig.ts:12

  #### Parameters

  - ##### C0: Scalar

  - ##### S: Scalar[]

  - ##### Default value tag: Point = null

  #### Returns RingSig

## Properties

### C0

C0: Scalar

- Defined in src/personhood/ring-sig.ts:13

### S

S: Scalar[]

- Defined in src/personhood/ring-sig.ts:13

### tag

tag: Point

- Defined in src/personhood/ring-sig.ts:13

## Methods

### encode

- encode(): Buffer

- - Defined in src/personhood/ring-sig.ts:16

  #### Returns Buffer

Generated using TypeDoc